Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.servlet
Class JSPClassServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.JSPClassServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

public class JSPClassServlet
extends HttpServlet

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected String` | `packagePrefix`

Constructor Summary
`JSPClassServlet()`

Method Summary
`void` | `init(ServletConfig config)`
`void` | `service(HttpServletRequest req, HttpServletResponse rsp)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### packagePrefix

    protected String packagePrefix

Constructor Detail

### JSPClassServlet

    public JSPClassServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Throws:
    `ServletException`

### service

    public void service(HttpServletRequest req,
                        HttpServletResponse rsp)
                 throws IOException,
                        ServletException

  Throws:
    `IOException`
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD